Bug 1304795 - RFE 'plymouth-set-default-theme -R' should call 'dracut -f'
RFE 'plymouth-set-default-theme -R' should call 'dracut -f'
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 10:57 EST by Raphael Groner
Modified: 2017-03-06 01:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-06 01:24:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raphael Groner 2016-02-04 10:57:41 EST
Description of problem:


Version-Release number of selected component (if applicable):
plymouth-0.8.9-10.2013.08.14.fc22
plymouth-scripts-0.8.9-10.2013.08.14.fc22

How reproducible:
yes

Steps to Reproduce:
1. dnf install plymouth-theme-spinfinity
2. plymouth-set-default-theme spinfinity -R
3. dracut -f
4. reboot
5. plymouth-set-default-theme -r -R
6. reboot (and do not call dracut)

Actual results:
still spinfinity plymouth boot splash shown at boot

Expected results:
plymouth boot splash is reset to default

Additional info:
Manual workaround is to call dracut -f in a root terminal.

No idea if that happens also in Fedora 23, I've not tested this. At least, it must be fixed in Fedora 22. According to koji, Fedora 23 has a newer release, can you build that for F22?
Comment 1 Raphael Groner 2016-02-04 11:08:56 EST
Possible duplication: bug #1059485
Comment 2 Fedora End Of Life 2016-07-19 16:16:21 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Raphael Groner 2017-03-06 01:24:37 EST
This seems to be fixed in Fedora 25. Please feel free to reopen if you think it's still an issue.

Note You need to log in before you can comment on or make changes to this bug.